package com.energy.manage.service.service.chartsdata;

import com.energy.manage.service.domain.dto.analysis.PlotlyDataItem;

import java.util.List;

/**
 * @author chy
 * @date 2024/8/15 10:24
 * @desc
 */
public interface ChartsDataService {

    Integer PAGE_SIZE = 100;

    List<PlotlyDataItem> queryChartsData(Integer pageNum);

    int getChartsDataCount();


    List<PlotlyDataItem> queryChartsDataByTime(String timeStamp);
}
